/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* $Id: $ */

package org.apache.fop.render.afp.bcoca;

/**
 * Two-dimensional matrix symbologies (sometimes called area symbologies) allow 
 * large amounts of information to be encoded in a two-dimensional matrix. These 
 * symbologies are usually rectangular and require a quiet zone around all four sides; 
 * for example, the Data Matrix symbology requires a quiet zone at least one module wide 
 * around the symbol. Two-dimensional matrix symbologies use extensive data compaction 
 * and error correction codes, allowing large amounts of character or binary data to be 
 * encoded. Unlike linear bar codes, Human-Readable Interpretation (HRI) is not provided 
 * with the bar code symbol.
 */
public abstract class MatrixSymbologies extends BarcodeSymbologies {
	

}
