/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* $Id: $ */

package org.apache.fop.render.afp.bcoca;

import org.apache.fop.render.afp.modca.AFPConstants;

/**
 * The attributes specific to a POSTNET barcode
 */
public class POSTNET extends BarcodeSymbologies {

	/**
	 * @see BarcodeSymbologies#getBarCodeModifier()
	 */
	public byte getBarCodeModifier() {
			return 0x00;
	}

	/**
	 * @see BarcodeSymbologies#getBarCodeType()
	 */
	public byte getBarCodeType() {
		// The code to indicate Postnet
		return 0x18;
	}
	
	/**
	 * @see BarcodeSymbologies#getDataEncoding()
	 */
	public String getDataEncoding() {
		return AFPConstants.EBCIDIC_ENCODING;
	}
	
	/**
	 * @see BarcodeSymbologies#getSpecialFunctions()
	 */
	public byte[] getSpecialFunctions() {
		
		return new byte[] {};
			
	}

}
